Skip to main content

Get the Last N Depth Snapshots

Request Example

curl "https://api.mexc.com/api/v1/contract/depth_commits/BTC_USDT/20"

Response Example

{
"success": true,
"code": 0,
"data": [
{
"asks": [],
"bids": [
[
3818.91,
272,
1
]
],
"version": 26457599299
},
{
"asks": [],
"bids": [
[
3818.89,
1524,
3
]
],
"version": 26457599298
},
{
"asks": [],
"bids": [
[
3818.89,
1123,
2
]
],
"version": 26457599297
},
{
"asks": [],
"bids": [
[
3818.87,
788,
1
]
],
"version": 26457599296
},
{
"asks": [],
"bids": [
[
3818.88,
886,
1
]
],
"version": 26457599295
}
]
}
  • GET /api/v1/contract/depth_commits/{symbol}/{limit}

Request Parameters:

ParameterTypeRequiredDescription
symbolstringtrueContract symbol
limitinttrueNumber of rows

Response Parameters:

ParameterTypeDescription
asksList<Numeric[]>Ask depth
bidsList<Numeric[]>Bid depth
versionlongVersion